Subject: Re: bug#51710: [PATCH] pcre: avoid overflow in PCRE JIT stack resizing

From: Carlo Arenas <[email-masked]>
Date: Tue, 9 Nov 2021 11:23:15 -0800

No

PCRE2 uses size_t and it is the same (or similar) not signed type when
passed to sljit, so no Undefined Behaviour or overflow.
We might keep the limit in PCRE2 though, as it should be IMHO far
smaller anyway.

Carlo

Car

On Tue, Nov 9, 2021 at 10:28 AM Paul Eggert <[email-masked]> wrote:
>
> Thanks for reporting that. I installed the attached somewhat-simpler patch.
>
> Does PCRE2 have a similar bug? If so, I suppose this should be reflected
> when we merge in the patch for bug#47264.